; @(#)expand.t, Dirk Haun, 27.04.1996
;
; Das expand-Makro (zum Einbau in das eigene autotake.t)
;
; Andere Shells expandieren Ausdrcke der Form "*.C", bevor sie an ein
; Programm bergeben werden, z.B.
;
;     grep hallo *.c
;
; durchsucht dann alle C-Dateien im aktuellen Verzeichnis nach dem
; String "hallo". Chatwin dagegen wrde das "*.c" unverndert ber-
; geben. Mit dem expand-Makro kann man den gleichen Effekt mit zwei
; Zeilen erreichen:
;
;     expand *.c
;     grep hallo $EXPAND
;
macro expand
  env EXPAND=
  fsdir $0
  if !env(FSNAME=)
    repeat
      if !env($FSPATH=)
        if env($FSEXT=) ; File ohne Extension
          env EXPAND=$EXPAND $FSNAME
        else
          env EXPAND=$EXPAND $FSNAME.$FSEXT
        endif
      endif
      fsdir
    until env(FSNAME=)
  endif
endm
